# Welcome to Steemit!

Come for the rewards, stay for the community.

## Quick Start Guide

### Does it cost anything to post, comment, or upvote content?

No. It is free to post, comment, or upvote all content on Steemit.com.

You might actually get paid for it!

### Upvotes

Upvotes are Steemit's way of saying you like someone's post or comment.

To upvote, click on the <Icon name="chevron-up-circle" /> *Upvote* icon at the bottom of the comment/post.

### Comments

When you are first starting out, commenting on other people's posts can be a great way to get involved and connect with people!

To comment on a post, or reply to an existing comment, click on the "Reply" link at the bottom of the post/comment.

### Creating Posts

To create a post, click on the "Submit a Story" link in the upper right corner.

Posts have three main parts: Title, Content, Tags.

You will want to make your title attention grabbing, and relevant to your content.

To create your content, you can either use "Editor" or "Markdown" mode.

There are several guides for creating posts in the "Helpful Posts from Steemit Users" section.

### Tags

Tags will help people find your posts.

Each post can have up to five tags, separated by spaces.

The first tag in the list will be the main category that the post is in.

The tags should all be relevant to the content in the post.

You can browse content by tags, as well as see a list of popular tags that other users have used in their posts [here](https://steemit.com/tags.html/hot).

### Followers/Feeds

To follow an author, click on their username and click the "Follow" button.

Once you follow someone, all of their posts will show up in your "Feed" on the homepage when you login.

As other Steemians come across your posts and comments, you will start to gain followers.

You can see all of your followers and the people you are following in your profile page.

### Resteem

If you want to share someone else's post with all of your followers, click on the <Icon name="reblog" /> *Resteem* icon.

### STEEM, Steem Power (SP), and Steem Dollars (SBD)

STEEM, Steem Power and Steem Dollars are the three forms of digital currency used by the Steem blockchain.

More information on the three types of tokens can be found in the [Steemit FAQ](https://steemit.com/faq.html).

### Curation

Up to 25% of the reward for posts goes to the people who voted on it.

These people are called curators.

The more Steem Power you have in your account, the more your upvotes will be worth!

The users who contribute the most to the author rewards the earliest, will get the largest share of curation rewards.

The details behind the curation reward calculation can be found in the [Steem whitepaper](https://steem.io/SteemWhitePaper.pdf).

### Payments

There are two payment periods for posts. The first is roughly 24-48 hours, and the second is roughly 30 days.

The payments may fluctuate (up and down) until the final payment is reached.

Payments for posts are split between the author (at least 75%) and the curators (up to 25%).

The author reward is paid 50% in Steem Power, and 50% in liquid STEEM/SBD.

Authors also have the option to be paid 100% in Steem Power!

### Home, New, Hot, Trending, Promoted, and Active

These are various ways to sort blog posts.

**Home** - Most recent posts of the people you follow (your feed).

**New** - Posts are sorted by the time posted, newest first.

**Hot** - Popular posts at the moment.

**Trending** - Posts with the highest pending rewards currently.

**Promoted** - Listings that are boosted by Steem Dollar payments get "Promoted" for greater visibility.

**Active** - Most recent posts with edits or comments.

### Profile

<Icon name="user" />

**Blog** - Here is where you go to see all of your posts and Resteems.

**Comments** - Here is where you go to see all of the comments you have made to other's posts and comments.

**Replies** - Here is where you go to see all replies other users have made to your posts and comments. Check here often to see if anyone has responded to you.

**Wallet** - Here is where you go to see your wallet balances, make transfers, exchange STEEM/SBD, and Power Up.

### Reputation

A reputation score is one way Steemit measures the amount of value you have brought to the community.

The higher the number, the better.

The lowest possible reputation score is -25 and the highest possible is 75. New users start in the middle at 25.

Your reputation will go up or down depending on your interactions with other users.

### Cashing out / Spending SBD

You can spend your SBD at the [Peerhub Store](https://www.peerhub.com/).

You can exchange your STEEM and SBD for Bitcoin on an exchange such as [BlockTrades](https://blocktrades.us/), [Poloniex](https://poloniex.com/), [Bittrex](https://bittrex.com/).

You can also "Power Up" and use your STEEM/SBD to gain more Steem Power!

### Plagiarism

Usually posts that are just sharing material that can be found elsewhere on the Internet don't do very well.

The community is looking for you to add your own personal touch to your articles.

Posting someone else's work as if it were your own is very frowned upon by the Steemit community.

If you are using anyone else's material as part of your posts (including images) - please cite your sources.

Also, make sure that you are not violating any copyright laws if you are using someone else's material/images.

### Keep your password secure!

Your Steemit account is worth real money.

Treat your Steemit password like you would your bank password, and keep it secure!

### How much should you expect to make on Steemit?

Honestly, the best attitude to have is to expect to make nothing. Have fun. Get engaged. Make friends. If along the way you earn some SBD - bonus!

It is possible to earn thousands of dollars, but most authors who are doing this have put in a lot of time/work to contribute a lot to the community and build followings.

***

## To Do List

### 1. Backup your password

Save your master key and keep it somewhere safe.

It is recommended that you store an offline copy somewhere in case your hard-drive dies.

### 2. Signup for Steemit Chat

A lot of users hang out here and chat when they are not posting/curating. It is a great place to meet people!

There is a link to signup in the main menu in the upper right corner.

Your Steemit chat account is a separate account from your Steemit.com login.

Some groups allow you to share links, but others don't.

Each group will have its rules posted in the "Info" section.

### 3. Create your "introduceyourself" post

The tradition for new users is to create an "introduceyourself" post, to let the community know who you are.

You can see some examples of what other people have done [here](https://steemit.com/trending30/introduceyourself).

It is not required, but a lot of users will take a picture of themselves holding up a piece of paper that says "Steemit" with the current date, so we know you are a real person.

It is not required either, but if you have other social media accounts (Twitter, Facebook, etc.) you can help the community verify that you are who you say you are, by posting the link to your introduceyourself post with those accounts. If you are claiming to be someone famous, this is pretty much expected.

***

## Helpful Posts from Steemit Users

[Beginners Guide To Using Steemit](https://steemit.com/steemit/@thecryptofiend/the-missing-faq-a-beginners-guide-to-using-steemit)
[Steemit Etiquette Guide](https://steemit.com/steemit/@thecryptofiend/the-complete-steemit-etiquette-guide-revision-2-0)
[The Official Steemit FAQ](https://steemit.com/steemit/@shenanigator/thanks-to-your-help-the-official-steemit-faq-is-now-complete)
[How to Publish an Article Tutorial](https://steemit.com/howto/@future24/tutorial-how-to-publish-an-article-at-steemit-quick-and-easy-guide-english-german)
[Steemit Chat Guide](https://steemit.com/steemit/@firepower/dummies-guide-to-using-steemit-chat-effectively-everyday)
[Professional Formatting Tutorial](https://steemit.com/writing/@minion/professional-tutorial-for-post-formatting-both-for-beginners-and-advanced-users)
[Advice on using Tags](https://steemit.com/steemit/@rok-sivante/the-top-3-reasons-to-tag-your-steemit-posts-a-simple-quick-strategy-for-long-term-profits-and-success)
[Steem Dollars (SBD) to Cash (USD) Tutorial](https://steemit.com/how-to/@blueorgy/how-to-convert-your-steemdollars-sbd-to-cash-usd-transfer-it-into-your-bank-account)
[SBD to Bitcoin (BTC) using Blocktrades, then BTC to Euro or USD Using CEX.io](https://steemit.com/howto/@future24/blocktrades-tutorial-part-2-how-to-exchange-sbd-to-btc-and-sell-them-for-euro-or-usd-english-german)
[How to Buy STEEM Guide](https://steemit.com/steem/@timcliff/newbie-guide-how-to-buy-steem)
[How to Add Images to Your Posts](https://steemit.com/steem/@billbutler/adding-images-to-your-steem-posts)
[Steemit Markdown Basics](https://steemit.com/steemit/@thecryptofiend/markdown-basics-for-beginners)
[Emojis for Steemit](https://steemit.com/emojis/@blueorgy/steemit-emojis-master-list)
[Advice on How To Build a Following](https://steemit.com/steemit/@allasyummyfood/how-i-build-a-following-of-160-k-from-scratch)
[Ways to Find Free and Legal Images](https://steemit.com/steem-help/@mindover/don-t-plagiarize-images-here-are-13-free-and-legal-ways-to-find-high-quality-photos-you-can-use-on-steemit)
[Steem Keys and Passwords Guide](https://steemit.com/steemit-guides/@pfunk/a-user-s-guide-to-the-different-steem-keys-or-passwords)
[Unwritten Rules of Steemit](https://steemit.com/steem-help/@beanz/the-unwritten-rules-of-steemit)
[Steemit Succeeds if We Make it Succeed](https://steemit.com/steemit/@krnel/steemit-succeeds-if-we-make-it-succeed)
[Advice on How to Succeed on Steemit: Come to Give, Not to Take](https://steemit.com/psychology/@shenanigator/come-to-give-not-take-the-power-of-reciprocity)
[Best Practices for Steemit Artists](https://steemit.com/art/@merej99/best-practices-for-steemit-newbie-artists-by-merej99-a-100-power-up-post)
[The Steemit Newbie's Comprehensive Guide To Understanding Your Wallet](https://steemit.com/steemit-help/@merej99/the-steemit-newbie-s-comprehensive-guide-to-understanding-your-wallet-by-merej99)
[How to use Blocktrades to exchange STEEM/SBD for BTC](https://steemit.com/steem/@thecryptofiend/how-to-use-blocktrades-the-fastest-and-easiest-way-to-buy-and-sell-steem-sd-and-my-review-of-the-experience)

## Users to Follow

@dantheman - Daniel Larimer, CTO and Co-Founder of Steemit
@ned - Ned Scott, CEO and Co-Founder of Steemit
@steemitblog - Official Steemit Announcements

## Other Resources

[Website FAQ](https://steemit.com/faq.html)
[The Steem Whitepaper](https://steem.io/SteemWhitePaper.pdf)
[Steem App Center](http://steemtools.com/)
[Steem Block Explorer](https://steemd.com/)

## Where to go for live help

Steem Prentice is a group of people dedicated to helping new users find their way around Steemit!

You can find them in the [steemprentice](https://steemit.chat/channel/steemprentice) Steemit.Chat channel.
